# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'active_model/coercions/version'

Gem::Specification.new do |spec|
  spec.name          = "active_model_coercions"
  spec.version       = ActiveModel::Coercions::VERSION
  spec.authors       = ["Marcin Olichwirowicz"]
  spec.email         = ["olichwirowicz@gmail.com"]

  spec.summary       = %q{Provides coercions for ActiveModel objects}
  spec.description   = %q{Provides coercions for ActiveModel objects}
  spec.homepage      = "https://github.com/rodzyn/active_model_coercions"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "activemodel", "5.0.0.alpha"

  spec.add_development_dependency "bundler", "~> 1.10"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec"
end
